/*
Copyright (C) 2002 Chr. Clemens Lee <clemens@kclee.com>.

This file is part of JIM - Java Information Manager
(http://www.kclee.com/clemens/java/jim/).

Jim is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Jim is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Jim; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

package jim;

/**
 * 
 * @author  Chr. Clemens Lee
 * @version $Id: Anniversary.java,v 1.4 2002/04/21 13:25:20 clemens Exp clemens $
 */
public class Anniversary {
    private String _sName = null;
    private int _year = -1;
    private int _month = -1;
    private int _day = -1;
    private String _sDate = null;

    public Anniversary() {
        super();
        _sName = "";
        _sDate = "";
        _year = 1999;
        _month = 2;
        _day =27;
    }

    public Anniversary( String sName_, String sDate_ ) {
        super();
        _sName = sName_;
        _sDate = sDate_;
        _year = 1999;
        _month = 2;
        _day =27;
    }

    public Anniversary( String sName_,
                        int year_,
                        int month_,
                        int day_ ) 
    {
        super();

        _sName = sName_;
        _sDate = "";
        _year = year_;
        _month = month_;
        _day = day_;
    }

    public String getName() {
        return _sName;
    }

    public void setName( String sName_ ) {
        _sName = sName_;
    }

    public void setDate( String sDate_ ) {
        _sDate = sDate_;
    }

    public String getDate() {
        return _sDate;
    }

    /**
     * Used for sorting.
     */
    public String toString() {
        String sRetVal = _sDate;
        if ( sRetVal.length() == 10 ) { 
            sRetVal = sRetVal.substring( 5, 10 ) + 
                   sRetVal.substring( 0, 4 );
        }
        sRetVal += _sName;

        return sRetVal;
    }

    public Object clone() {
        Anniversary clonedAnniversary = new Anniversary();
        clonedAnniversary._sName = this._sName;
        clonedAnniversary._sDate = this._sDate;
        clonedAnniversary._day   = this._day;
        clonedAnniversary._month = this._month;
        clonedAnniversary._year  = this._year;

        return clonedAnniversary;
    }

    public boolean equals( Object object_ ) {
        if ( !(object_ instanceof Anniversary) ) {
            return false;
        }
        Anniversary anniversary = (Anniversary)object_;
        if ( anniversary.equals( _sName ) &&
             anniversary.equals( _sDate ) )
        {
            return true;
        }

        return false;
    }

    public boolean isEmpty() {
        return _sName.equals( "" ) && _sDate.equals( "" );
    }
}
