/*
Copyright (C) 2002 Chr. Clemens Lee <clemens@kclee.com>.

This file is part of JIM - Java Information Manager
(http://www.kclee.com/clemens/java/jim/).

Jim is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Jim is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Jim; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

package jim;

/**
 * 
 * @author  Chr. Clemens Lee
 * @version $Id: Note.java,v 1.4 2002/04/21 13:25:22 clemens Exp clemens $
 */
public class Note {
    private String _sName = null;
    private String _sNote = null;

    public Note( String sName_ ) {
        super();

        _sName = sName_;
        _sNote = "";
    }

    public Note( String sName_, String sNote_ ) {
        this( sName_ );
        setNote( sNote_ );
    }

    public void setNote( String sNote_ ) {
        _sNote = sNote_;
    }

    public String getNote() {
        return _sNote;
    }

    public String getName() {
        return _sName;
    }

    public String toString() {
        return getName();
    }

    public Object clone() {
        return new Note( toString(), getNote() );
    }
}
